metadata:
  name: gettext-i18n
  format: "Apertis Test Definition 1.0"
  image-types:
    hmi:     [ armhf, amd64 ]
    basesdk: [ amd64 ]
    sdk:     [ amd64 ]
  image-deployment:
    - APT
    - OSTree
  type: functional
  exec-type: automated
  priority: medium
  maintainer: "Apertis Project"
  description: "Check that gettext internationalization works."

  expected:
    - "The output should be pass or fail for each supported language."

install:
  git-repos:
    - url: https://gitlab.apertis.org/tests/gettext-i18n.git
      branch: 'apertis/v2022dev3'

run:
  steps:
    - "# Enter test directory:"
    - cd gettext-i18n
    - "# Execute the following command:"
    - common/run-test-in-systemd --timeout=900 --basename ./gettext-i18n.sh

parse:
  pattern: '(?P<test_case_id>[^:]+): (?P<result>[A-Za-z]+)'
